import { jsx } from "react/jsx-runtime";
import { TokenCHRP as TokenCHRP$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenCHRP = forwardRef(
  ({ variant = "mono", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, alt: "CHRP", "data-name": "TokenCHRP", ...props, children: /* @__PURE__ */ jsx(TokenCHRP$1, { variant }) });
  }
);
TokenCHRP.displayName = "TokenCHRP";
Object.assign(TokenCHRP, { isGdsIcon: true });
export {
  TokenCHRP
};
